/// <reference types="node" />
import * as ts from 'typescript';
import { FileSystemReadSync } from 'kissfs';
import * as path from 'path';
export interface BaseHost extends ts.ParseConfigHost {
    syncFs: FileSystemReadSync;
    path: typeof path.posix;
    readDirectory(path: string, extensions?: ReadonlyArray<string>, exclude?: ReadonlyArray<string>, include?: ReadonlyArray<string>, depth?: number): string[];
}
export declare function createBaseHost(syncFs: FileSystemReadSync, systemPath: typeof path.posix): BaseHost;
export interface LanguageServicesHostOptions {
    baseHost: BaseHost;
    compilerOptions: ts.CompilerOptions;
    getOpenedDocs(): string[];
    cwd: string;
    defaultLibDirectory: string;
    customTransformers?: ts.CustomTransformers;
    log?(s: string): void;
    trace?(s: string): void;
    error?(s: string): void;
    getProjectVersion?(): string;
}
export declare function createLanguageServiceHost(hostOptions: LanguageServicesHostOptions): ts.LanguageServiceHost;
